import { Component, h, Prop } from '@stencil/core';
import ThemeProvider from './ThemeProvider';
export class UIThemeProvider {
    constructor() {
        this.type = 'base';
    }
    render() {
        return (h(ThemeProvider, Object.assign({}, this),
            h("slot", null)));
    }
    static get is() { return "ui-theme-provider"; }
    static get properties() { return {
        "type": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'base' | 'editorial' | 'application'",
                "resolved": "\"application\" | \"base\" | \"editorial\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "type",
            "reflect": false,
            "defaultValue": "'base'"
        }
    }; }
}
